<?php
/**
 * @package linea21.modules
 * @subpackage sdi
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages ////////////
if (!class_exists('auth')) {
  include_once("../lib/lib_common.php");
  ReloadIndex('admin');
}
////////////


//////////// Check Droits utilisateur ////////////
if (!$l21auth->isSuperAdmin()) ReloadIndex('admin');
////////////

include_once($dir."/".SQL.".inc.php");
include_once('../class/class.sdi.php');
$todopage=$dir."/";
switch ($todo)
{
  case 'add':
    $todopage.="add.php";
    break;
  case 'mod':
    $todopage.="mod.php";
    break;
  case 'mod_e':
    $todopage.="mod_e.php";
    break;
  case 'mod_p':
    $todopage.="mod_p.php";
    break;
  case 'mod_r':
    $todopage.="mod_r.php";
    break;
  case 'sup':
    $todopage.="sup.php";
    break;
  case 'sup_e':
    $todopage.="sup_e.php";
    break;
  case 'sup_p':
    $todopage.="sup_p.php";
    break;
  case 'sup_r':
    $todopage.="sup_r.php";
    break;
  case 'list':
    $todopage.="list.php";
    break;
  case 'det':
    $todopage.="det.php";
    break;
  default:
    $todopage.="add.php";
}
include_once(override($todopage, THEME_ADMIN_PATH));

?>